## org.apache.xerces.xs.datatypes
Interface ByteList

public interface ByteList

The `ByteList` is an immutable ordered collection of `byte`.

Version:
  $Id: ByteList.java 447250 2006-09-18 05:27:17Z mrglavas $
Author:
  Ankit Pasricha, IBM

Method Summary
`boolean` `contains(byte item)` Checks if the `byte` `item` is a member of this list.
`int` `getLength()` The number of `byte`s in the list.
`byte` `item(int index)` Returns the `index`th item in the collection.

Method Detail

### getLength

    public int getLength()

  The number of `byte`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(byte item)

  Checks if the `byte` `item` is a member of this list.
  Parameters:
    `item` - `byte` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `byte` `item`.

### item

    public byte item(int index)
              throws XSException

  Returns the `index`th item in the collection. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `byte` at the `index`th position in the `ByteList`.
  Throws:
    `XSException` - INDEX_SIZE_ERR: if `index` is greater than or equal to the number of objects in the list or less than zero.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.